API ReferenceTask Comment
Retrieves the collection of TaskComment resources
GET
Retrieves the collection of TaskComment resources
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringTask identifier
Format
uuidpage?integerThe collection page number
Default
1itemsPerPage?integerThe number of items per page
Range
0 <= value <= 100Default
30cursorId?stringtopLevel?booleanrepliesTo?stringorder[createdAt]?stringDefault
"asc"Value in
"asc""desc"TaskComment collection
- response
[index: integer]?curl -X GET 'https://app.icproject.com/api/instance/demo/project/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/task-comments'Example Response200
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "content": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" }, "createdBySource": "user", "files": [ { "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" }, "type": "project", "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2", "task": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "shortCode": "string", "no": 0, "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2", "projectShortCode": "string", "projectName": "string", "projectIsSimple": true, "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023", "stageName": "string", "board": "a98884d6-3c76-4114-ba9c-216527a5aac1", "boardShortCode": "string", "boardName": "string" }, "taskComment": "74b627f5-ff78-4f23-addf-c50b206a1b80", "previewImageUrl": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "displayedName": "string", "extension": "string", "size": 0, "source": "internal", "createdAt": "2019-08-24T14:15:22Z" } ], "repliesTo": "536892ab-afb1-4c3e-9f5e-765a077adb2f", "repliesCount": 0, "taskCommentReactions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" }, "reactionType": "string" } ], "taskCommentMentions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "canView": true, "projectUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorName": "string", "jobPositionName": "string", "canLogIn": true, "isExternal": true } } ], "isEmoji": true }]